# -*- encoding: utf-8 -*-
# stub: first-class-postcodes 0.0.1 ruby lib

Gem::Specification.new do |s|
  s.name = "first-class-postcodes".freeze
  s.version = "0.0.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["First Class Postcodes".freeze]
  s.date = "2019-06-28"
  s.description = "Use this API to retrieve address information for UK postcodes. You can request by postcode, filter by geolocation and provide autocomplete suggestions using natural address entry. ".freeze
  s.email = ["support+api+ruby@firstclasspostcodes.com".freeze]
  s.homepage = "https://docs.firstclasspostcodes.com/clients/ruby".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 2.2.0".freeze)
  s.rubygems_version = "3.2.22".freeze
  s.summary = "First Class Postcodes Ruby API Client".freeze

  s.installed_by_version = "3.2.22" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<typhoeus>.freeze, ["~> 1.3", ">= 1.3.1"])
    s.add_runtime_dependency(%q<json>.freeze, [">= 2.2.0", "~> 2.2"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 3.6.0", "~> 3.6"])
    s.add_development_dependency(%q<vcr>.freeze, ["~> 3.0", ">= 3.0.1"])
    s.add_development_dependency(%q<webmock>.freeze, ["~> 1.24", ">= 1.24.3"])
    s.add_development_dependency(%q<autotest>.freeze, ["~> 4.4", ">= 4.4.6"])
    s.add_development_dependency(%q<autotest-rails-pure>.freeze, ["~> 4.1", ">= 4.1.2"])
    s.add_development_dependency(%q<autotest-growl>.freeze, ["~> 0.2", ">= 0.2.16"])
    s.add_development_dependency(%q<autotest-fsevent>.freeze, ["~> 0.2", ">= 0.2.12"])
  else
    s.add_dependency(%q<typhoeus>.freeze, ["~> 1.3", ">= 1.3.1"])
    s.add_dependency(%q<json>.freeze, [">= 2.2.0", "~> 2.2"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.6.0", "~> 3.6"])
    s.add_dependency(%q<vcr>.freeze, ["~> 3.0", ">= 3.0.1"])
    s.add_dependency(%q<webmock>.freeze, ["~> 1.24", ">= 1.24.3"])
    s.add_dependency(%q<autotest>.freeze, ["~> 4.4", ">= 4.4.6"])
    s.add_dependency(%q<autotest-rails-pure>.freeze, ["~> 4.1", ">= 4.1.2"])
    s.add_dependency(%q<autotest-growl>.freeze, ["~> 0.2", ">= 0.2.16"])
    s.add_dependency(%q<autotest-fsevent>.freeze, ["~> 0.2", ">= 0.2.12"])
  end
end
